# OpalIVRMediaStream Class Reference

`#include <ivr.h>`

Inheritance diagram for OpalIVRMediaStream:

[legend]
Collaboration diagram for OpalIVRMediaStream:
[legend]

## Public Member Functions

Construction
| OpalIVRMediaStream (OpalIVRConnection &conn, const OpalMediaFormat &mediaFormat, unsigned sessionID, PBoolean isSource, PVXMLSession &vxml)
Overrides of OpalMediaStream class
virtual PBoolean | Open ()
virtual PBoolean | IsSynchronous () const

## Protected Member Functions

virtual void | InternalClose ()

## Protected Attributes

PVXMLSession & | m_vxmlSession

## Detailed Description

This class describes a media stream that transfers data to/from an IVR vxml session.

## Constructor & Destructor Documentation

OpalIVRMediaStream::OpalIVRMediaStream | ( | OpalIVRConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | PBoolean | isSource,
|  | PVXMLSession & | vxml |
| ) |  |  |

Construct a new media stream for IVR session.

Parameters:

  mediaFormat | Media format for stream
  sessionID | Session number for stream
  isSource | Is a source stream
  vxml | vxml session to use

## Member Function Documentation

virtual void OpalIVRMediaStream::InternalClose | ( |  | ) | `[protected, virtual]`

Close any internal components of the stream. This should be used in preference to overriding the Close() function as it is guaranteed to be called exactly once and avoids race conditions in the shut down sequence of a media stream.

Reimplemented from OpalRawMediaStream.

virtual PBoolean OpalIVRMediaStream::IsSynchronous | ( |  | ) | const`[virtual]`

Indicate if the media stream is synchronous. Returns false for IVR streams.

Implements OpalMediaStream.

virtual PBoolean OpalIVRMediaStream::Open | ( |  | ) | `[virtual]`

Open the media stream using the media format.

The default behaviour simply sets the member variable "mediaFormat" and "defaultDataSize".

Reimplemented from OpalMediaStream.

## Field Documentation

PVXMLSession& OpalIVRMediaStream::m_vxmlSession `[protected]`

The documentation for this class was generated from the following file:

- ivr.h